Bug 12628 - document.body is not supported in XHTML documents
Summary: document.body is not supported in XHTML documents
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-05 21:42 PST by Alexey Proskuryakov
Modified: 2007-10-06 02:08 PDT (History)
1 user (show)

See Also:


Attachments
test case (305 bytes, application/xhtml+xml)
2007-02-05 21:42 PST, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2007-02-05 21:42:16 PST
document.body works for XHTML documents in Firefox, but not in WebKit.
Comment 1 Alexey Proskuryakov 2007-02-05 21:42:46 PST
Created attachment 12959 [details]
test case
Comment 2 Maciej Stachowiak 2007-02-12 05:10:15 PST
We should consider supporting all HTMLDocument properties and methods on all XML documents (because any XML document could contain XHTML).
Comment 3 Alexey Proskuryakov 2007-06-22 04:49:53 PDT
See also: bug 14213.
Comment 4 Feng Qian 2007-07-26 11:15:48 PDT
This also accounts some TypeError's in layout tests under dom/xhtml.

(In reply to comment #1)
> Created an attachment (id=12959) [edit]
> test case
> 

Comment 5 Alexey Proskuryakov 2007-10-06 02:08:51 PDT
Fixed in revision 26078 (feature branch).